Utilizando estas instrucciones, pude instalar fácilmente node.js en RPi. El problema fue que desde la compilación v0.10.29 node.js no ha incluido una compilación para el RPi. La compilación actual es v0.10.31.

¿Alguien sabe por qué node.js dejó de incluir la compilación RPi con sus nuevas versiones?

¿Hay alguna manera de obtener la última versión de RPi de otra fuente?

Esta es mi primera pregunta sobre SO, así que espero que no la haya estropeado demasiado.

1
J.B. 5 sep. 2014 a las 17:15

2 respuestas

La mejor respuesta

Eché un vistazo al grupo de Google Zlatko sugirió. Descubrí que Nathan Rajlich compila las compilaciones de RPi, pero ha tenido un problema desde la v0.10.29.

Actualmente, sin embargo, v0.10.29 y v0.10.30 no se compilan en ARM de fábrica. Siga este problema para obtener actualizaciones sobre eso: https://github.com/joyent/node/issues/8062.

Parece que hay algo de pirateo para lidiar con los errores que surgen. Está más allá de mí, por eso me gustó la compilación node.js para el RPi en primer lugar. Continuaré con la antigua compilación de node.js y espero una compilación de RPi en el futuro.

0
J.B. 8 sep. 2014 a las 15:00

Siga estas instrucciones aquí: https://github.com/audstanley/Node-MongoDb-Pi Obtendrá nodejs v5.3.0 y MongoDb en la vista pi, léame sobre cómo instalar. Solo necesitará cuatro líneas de código para copiar y pegar en su CLi, y tendrá nodejs y MongoDb en aproximadamente cinco horas. (Mongodb lleva bastante tiempo compilar).

0
Audstanley 3 ene. 2016 a las 23:24